r.what.color(1)

NAME
r.what.color - Queries colors for a raster map layer.

KEYWORDS
raster, querying, color table

SYNOPSIS
r.what.color
r.what.color --help
r.what.color [-i] input=name [value=float[,float,...]] [format=string] color_format=name [--help] [--verbose] [--quiet] [--ui]

  Flags:

-i
    Read values from stdin

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input raster map

value=float[,float,...]
    Values to query colors for

format=string
    Output format (’plain’, ’json’, or printf-style string)
    Output format printf-style is deprecated, use ’color_format’ option instead.
    Default: %d:%d:%d

color_format=name [required]
    Color format
    Color format for output values. Applies only when format is set to ’plain’ or ’json’.
    Options: rgb, hex, hsv, triplet
    Default: hex
    rgb: output color in RGB format
    hex: output color in HEX format
    hsv: output color in HSV format (experimental)
    triplet: output color in colon-separated RGB format

DESCRIPTION
r.what.color outputs the color associated with user-specified category values in a raster input map.

Values may be specified either using the values= option, or by specifying the -i flag and passing the values on stdin, one per line.

For each value which is specified, a line of output will be generated consisting of the category value followed by the color, e.g.:

r.what.color input=elevation.dem value=1500
1500: 223:127:31

If the input map is an integer (CELL) map, the category will be written as an integer (no decimal point), otherwise it will be written in floating point format (printf("%.15g") format).

If the lookup fails for a value, the color will be output as an asterisk, e.g.:

r.what.color input=elevation.dem value=9999
9999: *

If a value cannot be parsed, both the value and the color will be output as an asterisk, e.g.:

r.what.color input=elevation.dem value=bogus
*: *

The format can be changed using the format= option. The value should be a printf()-style format string containing three conversion specifiers for the red, green and blue values respectively, e.g.:

r.what.color input=elevation.dem value=1500 format=’%02x:%02x:%02x’
1500: df:7f:1f

If your system supports the %m$ syntax, you can change the ordering of the components, e.g.:

r.what.color input=elevation.dem value=1500 format=’%3$02x:%2$02x:%1$02x’
1500: 1f:7f:df

Common formats:

    •   Tcl/Tk: format="#%02x%02x%02x"

    •   WxPython: format=’"#%02x%02x%02x"’ or format=’"(%d,%d,%d)"’

SEE ALSO
r.what

AUTHOR
Glynn Clements

SOURCE CODE

Available at: r.what.color source code (history)

Latest change: Thursday Oct 02 14:39:13 2025 in commit: 1850489bf42c72d8dcfe2e4db1738441b4a7dc43

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual